commit:     c208a49ec01b0ea7eb1190cbebc1936150290100
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Fri Jun  8 09:16:09 2018 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Fri Jun  8 09:16:31 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c208a49e

dev-python/fastparquet: version bump to 0.1.5

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/fastparquet/Manifest                 |  1 +
 dev-python/fastparquet/fastparquet-0.1.5.ebuild | 43 +++++++++++++++++++++++++
 dev-python/fastparquet/metadata.xml             |  2 ++
 3 files changed, 46 insertions(+)

diff --git a/dev-python/fastparquet/Manifest b/dev-python/fastparquet/Manifest
index 002a26c06ff..cf1a03224ab 100644
--- a/dev-python/fastparquet/Manifest
+++ b/dev-python/fastparquet/Manifest
@@ -1 +1,2 @@
 DIST fastparquet-0.1.1.tar.gz 119573 BLAKE2B 
16bd05061b64768278201acbf08fe13228d058b223d2050208b73e6af6ad3bb800a6d7edc1a15abdf02d8b508a75ed52962fb4b0c44a073b80451cfbf30915b5
 SHA512 
f8f052202ca095596870e6a10e2ab05e3c55289cd0ef3dab0502dff26052c9970f65f6b826d4d073c6c221827f6b18ddc83c47c04e84e08491f5237358f5860a
+DIST fastparquet-0.1.5.tar.gz 136350 BLAKE2B 
2719a5da55c99ff6aa71792045f6622b7a1de81b6ec33804cfd36b0907cb44e68a7a5dcdec467c2e8c45790c062ca1d130fe3dc5c95e286bc437d449fa5211b0
 SHA512 
2d8f5375072125f68f086f316af87acf41e65479324828f7eeea244796311604425bbe53b9e2e67cc68b1eb89e390d9fbd5e201e5165aa22dd43604ac5441f27

diff --git a/dev-python/fastparquet/fastparquet-0.1.5.ebuild 
b/dev-python/fastparquet/fastparquet-0.1.5.ebuild
new file mode 100644
index 00000000000..dbd31aefa21
--- /dev/null
+++ b/dev-python/fastparquet/fastparquet-0.1.5.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python implementation of the parquet columnar file format"
+HOMEPAGE="https://github.com/dask/fastparquet";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~amd64-linux ~x86-linux"
+IUSE="brotli lz4 lzo +snappy zstd"
+
+RDEPEND="
+       dev-python/numba[${PYTHON_USEDEP}]
+       dev-python/numpy[${PYTHON_USEDEP}]
+       dev-python/pandas[${PYTHON_USEDEP}]
+       dev-python/pytest[${PYTHON_USEDEP}]
+       dev-python/thrift[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       brotli? ( app-arch/brotli[python,${PYTHON_USEDEP}] )
+       lzo? ( dev-python/python-lzo[${PYTHON_USEDEP}] )
+       lz4? ( dev-python/lz4[${PYTHON_USEDEP}] )
+       snappy? ( dev-python/snappy[${PYTHON_USEDEP}] )
+       zstd? ( dev-python/zstandard[${PYTHON_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/cython[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+       # this causes setuptool's sandbox violations, Portage should have
+       # taken care of this, so disable it
+       sed -i -e 's/setup_requires/disabled_setup_requires/' setup.py || die
+
+       distutils-r1_src_prepare
+}

diff --git a/dev-python/fastparquet/metadata.xml 
b/dev-python/fastparquet/metadata.xml
index 0866e1d45e8..ab497f8496e 100644
--- a/dev-python/fastparquet/metadata.xml
+++ b/dev-python/fastparquet/metadata.xml
@@ -19,6 +19,8 @@
   </upstream>
   <use>
     <flag name="brotli">Enable support for brotli compression</flag>    
+    <flag name="lz4">Enable support for lz4 compression</flag>
     <flag name="snappy">Enable support for snappy compression</flag>
+    <flag name="zstd">Enable support for zstandard compression</flag>
   </use>
 </pkgmetadata>

Reply via email to